org.apache.naming

## Class ResourceLinkRef

- java.lang.Object
- - javax.naming.Reference
  - - org.apache.naming.ResourceLinkRef

All Implemented Interfaces:
  Serializable, Cloneable

    public class ResourceLinkRef
    extends Reference

Represents a reference address to a resource.

Author:
  Remy Maucherat
See Also:
  Serialized Form

### Field Summary

Fields
`static String` `DEFAULT_FACTORY` Default factory for this reference.
`static String` `GLOBALNAME` Description address type.

### Fields inherited from class javax.naming.Reference

`addrs, classFactory, classFactoryLocation, className`

### Constructor Summary

Constructors
Constructor and Description
`ResourceLinkRef(String resourceClass, String globalName)` ResourceLink Reference.
`ResourceLinkRef(String resourceClass, String globalName, String factory, String factoryLocation)` ResourceLink Reference.

### Method Summary

Methods
`String` `getFactoryClassName()` Retrieves the class name of the factory of the object to which this reference refers.

### Methods inherited from class javax.naming.Reference

`add, add, clear, clone, equals, get, get, getAll, getClassName, getFactoryClassLocation, hashCode, remove, size, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DEFAULT_FACTORY

    public static final String DEFAULT_FACTORY

Default factory for this reference.

See Also:
  Constant Field Values

#### GLOBALNAME

    public static final String GLOBALNAME

Description address type.

See Also:
  Constant Field Values

### Constructor Detail

#### ResourceLinkRef

    public ResourceLinkRef(String resourceClass,
                   String globalName)

ResourceLink Reference.

Parameters:
  `resourceClass` - Resource class
  `globalName` - Global name

#### ResourceLinkRef

    public ResourceLinkRef(String resourceClass,
                   String globalName,
                   String factory,
                   String factoryLocation)

ResourceLink Reference.

Parameters:
  `resourceClass` - Resource class
  `globalName` - Global name

### Method Detail

#### getFactoryClassName

    public String getFactoryClassName()

Retrieves the class name of the factory of the object to which this reference refers.

Overrides:
  `getFactoryClassName` in class `Reference`